Subject: Re: [PATCH] powerpc/booke64: Configurable lazy interrupt disabling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 21 Jan 2012 10:05:55 +1100

On Thu, 2012-01-19 at 13:29 -0600, Stuart Yoder wrote:
> Also, Scott had posted an approach to do option #2 a while back,
> but as I  recall there was some negative feedback about this.  See:
> <http://lists.ozlabs.org/pipermail/linuxppc-dev/2011-August/092103.html>

I see... the problems with doorbells are workable tho. A reject hcall
could also raise the CPU priority to avoid lower priority interrupts for
example. The decrementer option works too.

Another approach is to do an hcall into the interrupt re-enable path
when an interrupt occurred while masked, which is what we do on i or
ps3, which could then trigger a replay.

Traditionally EE's have always been "level sensitive" on PowerPC, the
way you changed that is arguably an utterly broken HW design and I am
not too keen on changing our core interrupt handling to deal with it via
ifdef's if we can find a less invasive solution.

Cheers,
Ben.